
=encoding utf8

=head1 NAME

Sidef::Types::Number::Gauss

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

    var a = Gauss(17,19)
    var b = Gauss(43,97)

    say a+b     #=> (60, 116)
    say a-b     #=> (-26, -78)
    say a*b     #=> (-1112, 2466)
    say a/b     #=> (99/433, -32/433)

=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Number::Number

=head1 METHODS

=head2 !=

    a != b

Returns the

Aliases: I<ne>

=cut

=head2 %

    a % b

Returns the

Aliases: I<mod>

=cut

=head2 &

    a & b

Returns the

Aliases: I<and>

=cut

=head2 *

    a * b

Returns the

Aliases: I<mul>

=cut

=head2 **

    a ** b

Returns the

Aliases: I<pow>

=cut

=head2 +

    a + b

Returns the

Aliases: I<add>

=cut

=head2 ++

    a ++ b

Returns the

Aliases: I<inc>

=cut

=head2 -

    a - b

Returns the

Aliases: I<sub>

=cut

=head2 --

    a -- b

Returns the

Aliases: I<dec>

=cut

=head2 /

    a / b

Returns the

Aliases: I<÷>, I<div>

=cut

=head2 <

    a < b

Returns the

Aliases: I<lt>

=cut

=head2 <<

    a << b

Returns the

Aliases: I<lsft>, I<shift_left>

=cut

=head2 <=>

    a <=> b

Returns the

Aliases: I<cmp>

=cut

=head2 ==

    a == b

Returns the

Aliases: I<eq>

=cut

=head2 >

    a > b

Returns the

Aliases: I<gt>

=cut

=head2 >>

    a >> b

Returns the

Aliases: I<rsft>, I<shift_right>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>

=cut

=head2 |

    a | b

Returns the

Aliases: I<or>

=cut

=head2 ≤

    a ≤ b

Returns the

Aliases: I<E<lt>=>, I<le>

=cut

=head2 ≥

    a ≥ b

Returns the

Aliases: I<E<gt>=>, I<ge>

=cut

=head2 a

    Gauss.a()

Returns the

Aliases: I<re>, I<real>

=cut

=head2 abs

    Gauss.abs()

Returns the

=cut

=head2 b

    Gauss.b()

Returns the

Aliases: I<im>, I<imag>

=cut

=head2 ceil

    Gauss.ceil()

Returns the

=cut

=head2 conj

    Gauss.conj()

Returns the

=cut

=head2 dump

    Gauss.dump()

Returns the

=cut

=head2 eval

    Gauss.eval()

Returns the

=cut

=head2 float

    Gauss.float()

Returns the

=cut

=head2 floor

    Gauss.floor()

Returns the

=cut

=head2 gcd

    Gauss.gcd()

Returns the

=cut

=head2 gcd_norm

    Gauss.gcd_norm()

Returns the

=cut

=head2 i

    Gauss.i()

Returns the

=cut

=head2 iabs

    Gauss.iabs()

Returns the

=cut

=head2 inv

    Gauss.inv()

Returns the

=cut

=head2 invmod

    Gauss.invmod()

Returns the

=cut

=head2 is_coprime

    Gauss.is_coprime()

Returns the

=cut

=head2 is_imag

    Gauss.is_imag()

Returns the

=cut

=head2 is_mone

    Gauss.is_mone()

Returns the

=cut

=head2 is_one

    Gauss.is_one()

Returns the

=cut

=head2 is_prime

    Gauss.is_prime()

Returns the

=cut

=head2 is_real

    Gauss.is_real()

Returns the

=cut

=head2 is_zero

    Gauss.is_zero()

Returns the

=cut

=head2 neg

    Gauss.neg()

Returns the

=cut

=head2 new

    Gauss.new()

Returns the

Aliases: I<call>

=cut

=head2 norm

    Gauss.norm()

Returns the

=cut

=head2 parts

    Gauss.parts()

Returns the

=cut

=head2 powmod

    Gauss.powmod()

Returns the

=cut

=head2 reals

    Gauss.reals()

Returns the

=cut

=head2 round

    Gauss.round()

Returns the

=cut

=head2 sgn

    Gauss.sgn()

Returns the

=cut

=head2 sqr

    Gauss.sqr()

Returns the

=cut

=head2 stringify

    Gauss.stringify()

Returns the

=cut

=head2 to_c

    Gauss.to_c()

Returns the

Aliases: I<to_n>

=cut

=head2 to_s

    Gauss.to_s()

Returns the

=cut
